Bug 428035 - forcedeth adapter MAC address gets reversed on suspend/resume
forcedeth adapter MAC address gets reversed on suspend/resume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Regression, Reopened
: 437284 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 15:41 EST by Nils Philippsen
Modified: 2009-06-10 11:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "lspci" (1.99 KB, text/plain)
2008-01-08 15:41 EST, Nils Philippsen
no flags Details
wireshark capture with promiscuous interface (1.04 KB, application/octet-stream)
2008-01-29 02:41 EST, Nils Philippsen
no flags Details
wireshark capture with non-promiscuous interface (1.08 KB, application/octet-stream)
2008-01-29 02:43 EST, Nils Philippsen
no flags Details

  None (edit)
Description Nils Philippsen 2008-01-08 15:41:14 EST
Description of problem:

For the second time I've seen a very strange phenomenon, namely that my two
on-board forcedeth NICs wouldn't see Ethernet packets (at least that's what I
interpret into it).

Version-Release number of selected component (if applicable):
kernel-2.6.23.9-85.fc8.x86_64

How reproducible:
I've only seen this for the second time, not sure if this is somehow triggerable.

Steps to Reproduce:
1. Wait?
2. Try to ping a host over one of the forcedeth NIC (or ping one of this
machine's forcedeth interfaces from another machine)
  
Actual results:
Ping doesn't get through unless wireshark or tcpdump are running in parallel and
set the interface into promiscuous mode (I did that for debugging, when
promiscuous, everything gets through).

Expected results:
Works without promiscuous interface, all the time.

Additional info:
"ifdown"/"ifup" didn't remedy. I unfortunately didn't try removing the module
and loading it again. After a reboot everything works again. I can imagine that
this is a PITA to debug, but perhaps somebody else experiences the same problem
and can add details.
Comment 1 Nils Philippsen 2008-01-08 15:41:14 EST
Created attachment 291086 [details]
Output of "lspci"
Comment 2 Nils Philippsen 2008-01-28 07:36:08 EST
This problem has hit me again with 2.6.23.14-107.fc8.x86_64. I've set the
interface to promiscuous so that I can work, but now would be the time to ask me
questions.
Comment 3 Nils Philippsen 2008-01-29 02:41:22 EST
Created attachment 293244 [details]
wireshark capture with promiscuous interface

This is what I captured with wireshark on the affected machine when pinging
another host while the interface was set to promiscuous:

nils@wombat:~> ping 10.0.1.10
PING 10.0.1.10 (10.0.1.10) 56(84) bytes of data.
64 bytes from 10.0.1.10: icmp_seq=1 ttl=64 time=0.906 ms
64 bytes from 10.0.1.10: icmp_seq=2 ttl=64 time=0.816 ms
64 bytes from 10.0.1.10: icmp_seq=3 ttl=64 time=0.857 ms
64 bytes from 10.0.1.10: icmp_seq=4 ttl=64 time=0.808 ms

--- 10.0.1.10 ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3001ms
rtt min/avg/max/mdev = 0.808/0.846/0.906/0.052 ms
nils@wombat:~>
Comment 4 Nils Philippsen 2008-01-29 02:43:03 EST
Created attachment 293245 [details]
wireshark capture with non-promiscuous interface

After setting the interface non-promiscuous ("ifconfig eth1 -promisc"), I
captured this while pinging the other host:

nils@wombat:~> ping 10.0.1.10
PING 10.0.1.10 (10.0.1.10) 56(84) bytes of data.

--- 10.0.1.10 ping statistics ---
4 packets transmitted, 0 received, 100% packet loss, time 2999ms

nils@wombat:~>
Comment 5 Nils Philippsen 2008-01-29 02:48:53 EST
Is there anything else I need to test or check while the problem is manifest?
I'd like to get this done quickly so that I can shut down the machine when not
in use.
Comment 6 Chuck Ebbert 2008-01-29 12:01:50 EST
What does the 'ifconfig eth0' command print?
Comment 7 Nils Philippsen 2008-01-30 02:30:05 EST
This is with the interfaces set to promiscuous mode:

--- 8< ---
root@wombat:~> ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:18:F3:7D:21:3C  
          inet addr:10.0.0.1  Bcast:10.0.0.255  Mask:255.255.255.0
          inet6 addr: fe80::218:f3ff:fe7d:213c/64 Scope:Link
          UP BROADCAST RUNNING PROMISC MULTICAST  MTU:1500  Metric:1
          RX packets:2112 errors:0 dropped:0 overruns:0 frame:0
          TX packets:17367 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:127755 (124.7 KiB)  TX bytes:9420413 (8.9 MiB)
          Interrupt:253 Base address:0xc000 

root@wombat:~> ifconfig eth1
eth1      Link encap:Ethernet  HWaddr 00:18:F3:7D:24:EC  
          inet addr:10.0.1.1  Bcast:10.0.1.255  Mask:255.255.255.0
          inet6 addr: fe80::218:f3ff:fe7d:24ec/64 Scope:Link
          UP BROADCAST RUNNING PROMISC MULTICAST  MTU:1500  Metric:1
          RX packets:314432 errors:0 dropped:0 overruns:0 frame:0
          TX packets:385922 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:41481525 (39.5 MiB)  TX bytes:266095627 (253.7 MiB)
          Interrupt:252 Base address:0xe000 
--- >8 ---

And this with the interfaces set to non-promiscuous:

--- 8< ---
root@wombat:~> ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:18:F3:7D:21:3C  
          inet addr:10.0.0.1  Bcast:10.0.0.255  Mask:255.255.255.0
          inet6 addr: fe80::218:f3ff:fe7d:213c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2112 errors:0 dropped:0 overruns:0 frame:0
          TX packets:17371 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:127755 (124.7 KiB)  TX bytes:9421293 (8.9 MiB)
          Interrupt:253 Base address:0xc000 

root@wombat:~> ifconfig eth1
eth1      Link encap:Ethernet  HWaddr 00:18:F3:7D:24:EC  
          inet addr:10.0.1.1  Bcast:10.0.1.255  Mask:255.255.255.0
          inet6 addr: fe80::218:f3ff:fe7d:24ec/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:314436 errors:0 dropped:0 overruns:0 frame:0
          TX packets:385931 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:41481825 (39.5 MiB)  TX bytes:266096996 (253.7 MiB)
          Interrupt:252 Base address:0xe000 
--- >8 ---

NB: eth1 is the more heavily utilized one of both forcedeth interfaces, as it's
facing the WLAN and gets my laptop's traffic.
Comment 8 Nils Philippsen 2008-01-30 02:33:41 EST
Just another datapoint: Usually, I suspend the machine to disk when not in use
-- maybe the problem is connected to the suspending/resuming of the driver.
Comment 9 Chuck Ebbert 2008-01-30 19:57:14 EST
Hmm, seems to be a known problem:

http://lkml.org/lkml/2008/1/2/253

So does suspending and resuming again fix it?

Comment 10 Nils Philippsen 2008-01-31 04:10:55 EST
It seems it does:

1. I started a ping on my WLAN access point (with the interfaces set to
promiscuous, the pings went through)
2. I set the interfaces to non-promiscuous, the pings stopped to go through
3. After hibernate/wakeup, pings went through again
Comment 11 Chuck Ebbert 2008-03-10 19:14:53 EDT
Should be fixed in 2.6.24... please test 2.6.24.3-22 when it appears in
updates-testing.
Comment 12 Chuck Ebbert 2008-03-13 16:17:38 EDT
*** Bug 437284 has been marked as a duplicate of this bug. ***
Comment 13 Nils Philippsen 2008-05-25 15:18:45 EDT
Still present in F9, kernel-2.6.25.3-18.fc9.x86_64
Comment 14 Nils Philippsen 2008-05-28 03:03:40 EDT
... and 2.6.25.4-30.fc9.x86_64
Comment 15 Nils Philippsen 2008-05-28 03:09:00 EDT
One thing is different than on F8 though -- suspend/resume doesn't help anymore,
I've got to set the interfaces to promiscuous every time I wake the machine up
from hibernation.
Comment 16 Chuck Ebbert 2008-06-09 22:16:57 EDT
So it's like the MAC address now gets reversed one time on the first hibernation
and then never again?
Comment 17 Nils Philippsen 2008-07-01 04:31:13 EDT
(In reply to comment #16)
> So it's like the MAC address now gets reversed one time on the first hibernation
> and then never again?

I can't say for certain that it would change the MAC address (ifconfig would
always show the correct one), only that the symptoms are similar: after first
hibernation, the focedeth NICs only let things through when set to promiscuous,
or when the driver is reloaded (ifdown ...; rmmod ...; ifup ...). FWIW, the
kernel is 2.6.25.6-55.fc9.x86_64.
Comment 18 Nils Philippsen 2008-07-21 03:07:13 EDT
Same symptoms with 2.6.25.10-86.fc9.x86_64. Is there any other information you
need to work on this?
Comment 19 Nils Philippsen 2008-08-02 06:24:25 EDT
Same symptoms with kernel-2.6.25.11-97.fc9.x86_64...
Comment 20 Bug Zapper 2009-06-09 19:21:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Nils Philippsen 2009-06-10 11:06:04 EDT
Haven't seen this on F-10, closing.

Note You need to log in before you can comment on or make changes to this bug.